> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragma.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Open interests Instruments



## OpenAPI

````yaml open-apis/node.json get /node/v1/open_interest/instruments
openapi: 3.1.0
info:
  title: pragma-node
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://{environment}.pragma.build
    variables:
      environment:
        default: api.devnet
security: []
tags:
  - name: pragma-node
    description: Pragma Node API
paths:
  /node/v1/open_interest/instruments:
    get:
      tags:
        - Open Interest
      operationId: get_supported_instruments
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedInstrumentsResponse'
        '500':
          description: Server error
components:
  schemas:
    SupportedInstrumentsResponse:
      type: object
      additionalProperties:
        type: array
        items:
          $ref: '#/components/schemas/InstrumentDto'
    InstrumentDto:
      type: object
      required:
        - instrumentId
        - firstTimestampMs
        - lastTimestampMs
      properties:
        firstTimestampMs:
          type: integer
          format: int64
          minimum: 0
        instrumentId:
          type: string
        lastTimestampMs:
          type: integer
          format: int64
          minimum: 0

````